Internal site. Jolli authentication required to view.
Skip to Content
API ReferenceMetrics & DebuggingGET /v0/pipelines/{pipeline_name}/support_bundle

Download Support Bundle

GET/v0/pipelines/{pipeline_name}/support_bundleMetrics & Debugging

Try it

GET/v0/pipelines/{pipeline_name}/support_bundle
Authentication
Parameters

Generate a support bundle for a pipeline.

This endpoint collects various diagnostic data from the pipeline including circuit profile, heap profile, metrics, logs, stats, and connector statistics, and packages them into a single ZIP file for support purposes.

Authentication

  • JSON web token (JWT) or API keyBearer token

Parameters

Path parameters

NameTypeRequiredDescription
pipeline_namestringYesUnique pipeline name

Query parameters

NameTypeRequiredDescription
collectbooleanNoWhether to collect new data from the running pipeline (default: true) When false, only previously collected data will be included in the bundle
circuit_profilebooleanNoWhether to collect circuit profile data (default: true)
heap_profilebooleanNoWhether to collect heap profile data (default: true)
metricsbooleanNoWhether to collect metrics data (default: true)
logsbooleanNoWhether to collect logs data (default: true)
statsbooleanNoWhether to collect stats data (default: true)
pipeline_configbooleanNoWhether to collect pipeline configuration data (default: true)
system_configbooleanNoWhether to collect system configuration data (default: true)
dataflow_graphbooleanNoWhether to collect dataflow graph data (default: true)

Response

200Support bundle containing diagnostic informationapplication/zip
  • string (binary)
404Pipeline with that name does not existapplication/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
500application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
503application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
Request
curl -X GET 'https://api.example.com/v0/pipelines/{pipeline_name}/support_bundle?collect=<collect>&circuit_profile=<circuit_profile>&heap_profile=<heap_profile>&metrics=<metrics>&logs=<logs>&stats=<stats>&pipeline_config=<pipeline_config>&system_config=<system_config>&dataflow_graph=<dataflow_graph>' \ -H 'Authorization: Bearer YOUR_TOKEN'
Response
"string"